## compiz 0.9.12.3+16.04.20171116-0ubuntu1+8.0trisquel1

=== debian/changelog ===
compiz (1:0.9.12.3+16.04.20171116-0ubuntu1+8.0trisquel1) flidas; urgency=medium

  * Remove recomendation to use fglrx (non-free software)

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 16 Feb 2018 11:13:21 +0000

compiz (1:0.9.12.3+16.04.20171116-0ubuntu1) xenial; urgency=medium

  [ Eleni Maria Stea ]
  * Added option to disable blend in grid plugin (LP: #1700859)
  * Move: add options for showing only the window shape (filled or not)
    (LP: #1700859)

  [ Alberts Muktupāvels ]
  * Ensure that surfaces used by metacity theme have device scale set to
    1 . (LP: #1530277) (LP: #1530277)
  * Use AnyPropertyType when getting _MOTIF_WM_HINTS property. (LP:
    #1702297)

  [ Martin Wimpress ]
  * mate: Avoid artefacts of Windows Thumbnail Previews (LP: #1606369)

  [ Marco Trevisan (Treviño) ]
  * move: damage all the border area in outline mode and ignore
    transparent colors (LP: #1700859)
  * grid: ignore alpha in colors when not blending, and fix animations
    (LP: #1700859)
  * resize: add support for disabling transparency and avoid over-
    damaging in outline mode (LP: #1700859)
  * Screen: add averageColor to get the current desktop average color
  * unity-lowgfx.ini: remove unsupported unity option

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 16 Nov 2017 23:00:54 +0000

compiz (1:0.9.12.2+16.04.20160823-0ubuntu1) xenial; urgency=medium

  [ Andrea Azzarone ]
  * [expo] limit scroll to workarea. (LP: #913880)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 23 Aug 2016 16:06:02 +0000

compiz (1:0.9.12.2+16.04.20160801.3-0ubuntu1) xenial; urgency=medium

  [ Andrea Azzarone ]
  * Don't activate expo if not needed (1x1 setup) (LP: #1606254)
  * Don't crash if gsettings key is not found. Default value will be
    used. (LP: #1044662)
  * focusDefaultWindow: focus Most Recently Used (MRU) window and
    fallback to the top window in case MRU list is not available. (LP:
    #1073488, LP: #1459671)

  [ Marco Trevisan (Treviño) ]
  * Unity MigrationScript: sync gsettings on exit, and only use dconf on
    failure (LP: #1605011)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 01 Aug 2016 13:41:42 +0000

compiz (1:0.9.12.2+16.04.20160714-0ubuntu1) xenial; urgency=medium

  [ Eleni Maria Stea ]
  * Added options for no animation in expo and scale plugins. They skip
    the intermediate fading steps that force several redraws.
  * Added a new option in show desktop plugin that skips the fade
    animation: useful when performance is more important than eyecandy.

  [ Marco Trevisan (Treviño) ]
  * debian: add unity-lowgfx profile to compizconfig (LP: #1598770)
  * Composite: use C++ goodness for managing damaging rectangles
  * ccsGSettingsBackend: don't try to update setting if wrapper is not
    found
  * migration scripts: remove unsupported plugins for all the unity
    profiles

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 14 Jul 2016 16:00:57 +0000

compiz (1:0.9.12.2+16.04.20160526-0ubuntu1) xenial; urgency=medium

  [ Andrea Azzarone ]
  * Add an option to notify that a key press is actually an "auto
    repeat" one. (LP: #1572241)

  [ Alberts Muktupāvels ]
  * OpenGL: use the number of Opaque windows around to decide whether
    paint the bg or not (LP: #1574866)

  [ Marco Trevisan (Treviño) ]
  * Scale: use the selectedWindow as starting point when focusing a
    window (LP: #1575168)
  * Scale: allow to iterate through windows using Tab key
  * Window: call stateChangeNotify when compiz state changed but before
    changing the WM state (LP: #1521302)

  [ Eleni Maria Stea ]
  * Expo, Scale: add support for bottom offsets (LP: #1562346, LP:
    #1573897)

  [ handsome_feng ]
  * Add a YBottomOffset value when stretch maximized windows。 (LP:
    #1562348)

  [ CI Train Bot ]
  * No-change rebuild.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 26 May 2016 00:12:16 +0000

compiz (1:0.9.12.2+16.04.20160415-0ubuntu1) xenial; urgency=medium

  [ Martin Wimpress ]
  * mate.ini: Fixes flickery thumbnails

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 15 Apr 2016 05:30:50 +0000

compiz (1:0.9.12.2+16.04.20160331-0ubuntu1) xenial; urgency=medium

  [ Alberts Muktupāvels ]
  * gtk-window-decorator: fix typos in tests.

  [ Martin Wimpress ]
  * Fix compiz-mate Recommends: use ubuntu-mate-wallpapers-common.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 31 Mar 2016 22:55:09 +0000

compiz (1:0.9.12.2+16.04.20160318-0ubuntu1) xenial; urgency=medium

  [ Alberts Muktupāvels ]
  * gtk-window-decorator: Use the Marco gsettings in MATE session.
  * gtk-window-decorator: add support for dark theme variant.

  [ Martin Wimpress ]
  * MATE Compiz configuration is now consistent with composited Marco
    and Metacity.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 18 Mar 2016 10:08:19 +0000

compiz (1:0.9.12.2+16.04.20160311-0ubuntu1) xenial; urgency=medium

  [ Alberts Muktupāvels ]
  * Avoid GtkStyleContext warnings with GTK+ 3.20+.
  * Remove GWDSettingsXPropertyStorageInterface.
  * gtk-window-decorator: Remove unused setting from mutter.

  [ Martin Wimpress ]
  * mate.ini: Enable 'Keep Minimzed Windows' by default for the MATE
    profile (LP: #1067951)

  [ Sam Spilsbury smspillaz@gmail.com ]
  * Fix broken tests

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 11 Mar 2016 08:26:45 +0000

compiz (1:0.9.12.2+16.04.20160209-0ubuntu1) xenial; urgency=medium

  [ Eleni Maria Stea ]
  * chrome and chromium windows are considered compiz windows in
    fullscreen to avoid tearing (Bug #1442728) (LP: #1442728)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 09 Feb 2016 01:16:01 +0000

compiz (1:0.9.12.2+16.04.20151211-0ubuntu1) xenial; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * FindXorgGTest: escape unscaped quotes on pkg-config variables (LP:
    #1521366)
  * Scale: use current monitor workarea to check whether the mouse is
    inside or not (LP: #1516599)
  * backends: drop gconf support
